com.sun.grid.jgdi.event

## Class ProjectDelEvent

- java.lang.Object
- - com.sun.grid.jgdi.event.Event
  - - com.sun.grid.jgdi.event.ChangedObjectEvent
    - - com.sun.grid.jgdi.event.DelEvent
      - - com.sun.grid.jgdi.event.ProjectDelEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ProjectDelEvent
      extends DelEvent
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectDelEvent(long timestamp, int eventID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Project` | `get()`
    `java.lang.String` | `getName()` Get the name of the Project
    `boolean` | `hasDeletedObject(java.lang.Object obj)` Determine if this event has deleted `obj`
    `void` | `set(Project obj)`
    `void` | `setPKInfo(int numKey1, int numKey2, java.lang.String strKey1, java.lang.String strKey2)` Set the primary key info of the Project.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.event.ChangedObjectEvent

      `getChangedObject, getObjectType, setChangedObject`

    - ### Methods inherited from class com.sun.grid.jgdi.event.Event

      `getEventId, getTimestamp, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectDelEvent

          public ProjectDelEvent(long timestamp,
                                 int eventID)

  - ### Method Detail

    - #### set

          public void set(Project obj)

    - #### get

          public Project get()

    - #### setPKInfo

          public void setPKInfo(int numKey1,
                                int numKey2,
                                java.lang.String strKey1,
                                java.lang.String strKey2)

      Set the primary key info of the Project. This method is not indented for public usage. It is called from the native code to set the primary key info of cull event.
      Specified by:
        `setPKInfo` in class `ChangedObjectEvent`
      Parameters:
        `numKey1` - first numerical key
        `numKey2` - second numerical key
        `strKey1` - fist string key
        `strKey2` - second string key

    - #### getName

          public java.lang.String getName()

      Get the name of the Project
      Returns:
        the name of the Project

    - #### hasDeletedObject

          public boolean hasDeletedObject(java.lang.Object obj)

      Determine if this event has deleted `obj`
      Specified by:
        `hasDeletedObject` in class `DelEvent`
      Parameters:
        `obj` - the object
      Returns:
        `true` if this event has deleted `obj`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ChangedObjectEvent`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.